если модем может работать

с Мак ОS 10.5 10 6 и 10.7 "с последующими обновлениями" - это значит, что с 10.13.5 - тоже может ? или не факт?
В смысле внешний USB? Ну скорее да, чем нет
да